【至急】WP4.4にUP後、welcart最新版にアップフレード時にエラー発生

2015 年 12 月 16 日

ホーム フォーラム インストール 【至急】WP4.4にUP後、welcart最新版にアップフレード時にエラー発生

このトピックには3件の返信が含まれ、2人の参加者がいます。1 年、 11 ヶ月前 yskysmr さんが最後の更新を行いました。

4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • 投稿者
    投稿
  • #76669

    MB
    参加者

    初めて投稿させていただきます。初めての深刻なエラーで困っています。
    お力をお貸しください。
    ——————————————-
    WordPress のバージョン:4.4アップ直後
    Welcart のバージョン:1.65
    ご利用のテーマ:PayPal_vermilion1.0.4
    症状を確認したブラウザ:Google chrome
    サーバー(会社名、サービス名):sixcore
    SSLの利用: あり
    WordPress のパーマリンク設定:
    ——————————————–
    症状
    wordpressを4,4にアップグレード後、ウエルカートを更新したところ、
    「PHP Fatal error: Cannot redeclare usces_ob_callback() (previously declared in /home/sophia/maihamabreeze.com/public_html/shop/wp-content/plugins/usc-e-shop/functions/filters.php:1360) in /home/sophia/maihamabreeze.com/public_html/shop/wp-content/themes/paypal_vermilion/functions.php on line 313」
    というエラーがログにはかれてサーバーエラー500となり、hpが閲覧不能となりました。

    PayPalの無料テーマの更新があったので更新しテーマを有効化したところ、同じ結果となってしまいました。
    PayPalの無料テーマではなく、ウエルカートのデフォルトテーマに変更するとhpが表示されます。

    PayPalの無料テーマはこれまで、ひとつ前のバージョンを使用しておりましたが、問題なく使えていました。

    大変あせっています。解決のためお力をお貸しくださいますようお願いいたします。
    よろしくお願いいたします。
    西野

    #76671

    yskysmr
    キーマスター

    こんにちは。

    Development Version にて修正が完了しています。お手数ですが、Development Version にアップデートしてご確認ください。
    よろしくお願いいたします。

    #76676

    MB
    参加者

    yskysmr様

    ご連絡ありがとうございます。

    wp、ウエルカート・プラグインならびにpayPal無料テーマを更新前のものに
    戻して復旧させました。

    後の再適用の際のためにお伺いします。
    Development Version にアップデートについては、Welcart e-Commerce Current Version
    1.6.5を適用すればよろしいですか。

    あと、

    今回の不具合は、ウエルカートプラグインのみで、PayPal無料テーマについては関係ない
    という認識でよろしいでしょうか。

    よろしくお願いいたします。

    #76679

    yskysmr
    キーマスター

    Development Version は、以下の一番下にございます。

    https://wordpress.org/plugins/usc-e-shop/download/

    不具合については、厳密には PayPal テーマと Welcart 本体との競合でして、PayPal テーマが無関係かと言いますと、そうではございません。本来なら PayPal テーマを修正すべきなのですが、今回の不具合が起こる可能性が、PayPal テーマだけとは限らないので、Welcart 本体のほうにエラーを回避する修正を入れました。

4件の投稿を表示中 - 1 - 4件目 (全4件中)

このトピックに返信するにはログインが必要です。